コンテンツへスキップ

Fibo · Structured Prompt

統合

モデルID bria/fibo/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.01 10 APIクレジット このページで実行

APIキーを取得
Bria AI LLM #bria#fibo#structured-prompting

プロンプトまたは参照画像を、画像を描画せずに Fibo の構造化 JSON 説明へ変換します

Bria AI · データ (JSON)

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

画像生成に使用したプロンプト。

詳細設定 image · seed · structured_prompt
image_url
ファイルをドロップ、または

ファイルまたはURLで指定する参照画像。

デフォルト 5555

再現可能な結果のために乱数を制御するシード。

画像生成に使用する構造化プロンプト。

POST /run/bria/fibo/generate/structured_prompt?wait=20 見積もり → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Fibo · Structured Promptについて

画像自体ではなく、その構造化プロンプトを返す言語モデル形式のエンドポイントです。入力は `prompt`、既存の `structured_prompt`、または参照 `image_url` と `seed` です。JSON 出力には画風、照明、オブジェクト、写真特性、短い説明、スタイル媒体、描画テキストなどのフィールドが含まれます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt任意
型string | null
画像生成に使用したプロンプト。
structured_prompt任意
型object
画像生成に使用する構造化プロンプト。
structured_prompt.short_description任意
型string | null
意図する出力画像の簡潔な説明。
structured_prompt.objects任意
型object[]
デフォルト[]
生成画像の内容をリストとして指定し、各オブジェクトの属性と、描画された他のオブジェクトとの関係を記録します。
structured_prompt.objects[].description任意
型string | null
意図する出力オブジェクトの説明。
structured_prompt.objects[].location任意
型string | null
画像内のオブジェクトの位置。
structured_prompt.objects[].relationship必須
型string
画像内の他のオブジェクトとの関係。
structured_prompt.objects[].relative_size任意
型string | null
画像に対するオブジェクトの相対サイズ。
structured_prompt.objects[].shape_and_color任意
型string | null
オブジェクトの形状と色。
structured_prompt.objects[].texture任意
型string | null
オブジェクトの質感。
structured_prompt.objects[].appearance_details任意
型string | null
オブジェクトの外観を説明する詳細。
structured_prompt.objects[].number_of_objects任意
型integer | null
画像内のオブジェクト数。
structured_prompt.objects[].pose任意
型string | null
描画されたオブジェクトのポーズ。
structured_prompt.objects[].expression任意
型string | null
描画されたオブジェクトの表情。
structured_prompt.objects[].clothing任意
型string | null
描画されたオブジェクトが着用する衣服。
structured_prompt.objects[].action任意
型string | null
描画されたオブジェクトが行う動作。
structured_prompt.objects[].gender任意
型string | null
描画されたオブジェクトの性別。
structured_prompt.objects[].skin_tone_and_texture任意
型string | null
描画されたオブジェクトの肌の質感と色調。
structured_prompt.objects[].orientation任意
型string | null
描画されたオブジェクトの向き。
structured_prompt.background_setting任意
型string | null
生成画像の背景設定。
structured_prompt.lighting任意
型object
生成画像の照明。
structured_prompt.lighting.conditions任意
型string | null
生成画像の照明条件。
structured_prompt.lighting.direction任意
型string | null
生成画像の照明方向。
structured_prompt.lighting.shadows任意
型string | null
生成画像に描画する影。
structured_prompt.aesthetics任意
型object
生成画像の美的特性。
structured_prompt.aesthetics.composition任意
型string | null
生成画像の構図。
structured_prompt.aesthetics.color_scheme任意
型string | null
生成画像のカラーパレット。
structured_prompt.aesthetics.mood_atmosphere任意
型string | null
生成画像の雰囲気と空気感。
structured_prompt.aesthetics.aesthetic_score任意
型string | null
生成対象画像の美的スコア。
structured_prompt.aesthetics.preference_score任意
型string | null
生成対象画像の嗜好スコア。
structured_prompt.photographic_characteristics任意
型object
生成画像の写真特性。
structured_prompt.photographic_characteristics.depth_of_field任意
型string | null
生成画像の被写界深度。
structured_prompt.photographic_characteristics.focus任意
型string | null
生成画像の焦点。
structured_prompt.photographic_characteristics.camera_angle任意
型string | null
生成画像のカメラアングル。
structured_prompt.photographic_characteristics.lens_focal_length任意
型string | null
焦点距離で表す生成画像のレンズ設定。
structured_prompt.style_medium任意
型string | null
生成画像の表現媒体。
structured_prompt.text_render任意
型any[]
デフォルト[]
画像に含めるテキスト項目のリスト。
structured_prompt.context任意
型string | null
生成画像のコンテキスト。
structured_prompt.artistic_style任意
型string | null
生成画像の芸術的スタイル。
structured_prompt.trigger_word任意
型string | null
structured_prompt.sub_trigger_word任意
型string | null
structured_prompt.art_direction任意
型string | null
structured_prompt.action_description任意
型string | null
structured_prompt.actor_prefix任意
型string | null
image_url任意 image
型url · image
ファイルまたはURLで指定する参照画像。
seed任意
型integer
デフォルト5555
再現可能な結果のために乱数を制御するシード。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo/generate/structured_prompt",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "aesthetic_score": "string",
      "preference_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [],
    "context": "string",
    "artistic_style": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
short_description
string | null意図する出力画像の簡潔な説明。
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | null生成画像の内容をリストとして指定し、各オブジェクトの属性と、描画された他のオブジェクトとの関係を記録します。
background_setting
string | null生成画像の背景設定。
lighting
object {conditions, direction, shadows} | null生成画像の照明。
aesthetics
object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score} | null生成画像の美的特性。
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | null生成画像の写真特性。
style_medium
string | null生成画像の表現媒体。
text_render
array of any | null画像に含めるテキスト項目のリスト。
context
string | null生成画像のコンテキスト。
artistic_style
string | null生成画像の芸術的スタイル。

その他のモデル: LLM

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/fibo/generate/structured_prompt.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt